Pokemon Omega Ruby save problems

Discussion in '3DS - ROM Hacking, Translations and Utilities' started by R4ndom, Sep 15, 2015.

  1. R4ndom
    OP

    R4ndom Advanced Member

    Newcomer
    63
    3
    Mar 18, 2012
    Norway
    I have somehow managed to get the error message "the save data is not compatible with this version". I thought this was due to some anti-piracy function, so I used the svdt homebrew to import a Omega Ruby save from my O3DS 9.9 to my N3DS ReiNAND 9.5 in an atempt to remove the anti-piracy check. I have figured that this error message might be due to the update that made the save does not correspond to my game version, but how do I fix this? Can I manipulate anything, or see what update my save is? The save opens in pkHEX no problem, so it is seemingly not corrupt in any way.
     
  2. tomx86

    tomx86 GBAtemp Fan

    Member
    457
    63
    Jun 3, 2015
    Poland
    If your game in not a rom, and your O3DS has the latest "good" version: 4096 of the Web Browser, this could help you:
    http://projectpokemon.org/forums/sh...Sav-Save-File-Dumping-Injection-for-X-Y-OR-AS
    If not then first read this:
    http://gbatemp.gukovo.org/threads/spider-arcode.383937/page-5
    If If your game in a rom, then use the SaveDataFiler, to dump a main.Cyber SAV file, and Export your save data with PKHeX as that dumped main.Cyber SAV file on your SD card, then import the save back to the rom.
     
    Last edited by tomx86, Sep 16, 2015
  3. R4ndom
    OP

    R4ndom Advanced Member

    Newcomer
    63
    3
    Mar 18, 2012
    Norway
    My mistake, my O3DS is 9.9 sysNAND, so my only option of dumping the save is with svdt... And I have dumped a main file if that is what you are refering to :/